Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.plugin.descriptor
Class XWorkModuleDescriptor

    java.lang.Object
      AbstractModuleDescriptor
          com.atlassian.bamboo.plugin.descriptor.XWorkModuleDescriptor

    public class XWorkModuleDescriptor

extends AbstractModuleDescriptor

Constructor Summary
`XWorkModuleDescriptor()`

Method Summary
`protected void` | `addAction(Element actionElement, PackageConfig packageContext)`
`protected void` | `addResultTypes(PackageConfig packageContext, Element element)`
`protected List` | `buildExternalRefs(Element element, PackageConfig context)`
`protected List` | `buildInterceptorList(Element element, PackageConfig context)`
`protected PackageConfig` | `buildPackageContext(Element packageElement, Configuration configuration)`
`protected Map` | `buildResults(Element element, PackageConfig packageContext)`
`void` | `destroy()`
`void` | `disabled()`
`void` | `enabled()`
`Object` | `getModule()`
`static HashMap` | `getParams(Element paramsElement)`
`void` | `init(Configuration configuration)`
`void` | `init(Plugin plugin, Element element)`
`boolean` | `isEnabled()`
`protected void` | `loadDefaultInterceptorRef(PackageConfig packageContext, Element element)`
`protected void` | `loadGlobalResults(PackageConfig packageContext, Element packageElement)`
`protected void` | `loadInterceptors(PackageConfig context, Element element)`
`protected InterceptorStackConfig` | `loadInterceptorStack(Element element, PackageConfig context)`
`protected void` | `loadInterceptorStacks(Element element, PackageConfig context)`
`boolean` | `needsReload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XWorkModuleDescriptor

    public XWorkModuleDescriptor()

Method Detail

### init

    public void init(Plugin plugin,
                     Element element)
              throws PluginParseException

  Throws:
    `PluginParseException`

### enabled

    public void enabled()

### disabled

    public void disabled()

### isEnabled

    public boolean isEnabled()

### loadInterceptors

    protected void loadInterceptors(PackageConfig context,
                                    Element element)
                             throws ConfigurationException

  Throws:
    `ConfigurationException`

### loadDefaultInterceptorRef

    protected void loadDefaultInterceptorRef(PackageConfig packageContext,
                                             Element element)

### loadGlobalResults

    protected void loadGlobalResults(PackageConfig packageContext,
                                     Element packageElement)

### buildResults

    protected Map buildResults(Element element,
                               PackageConfig packageContext)

### loadInterceptorStack

    protected InterceptorStackConfig loadInterceptorStack(Element element,
                                                          PackageConfig context)
                                                   throws ConfigurationException

  Throws:
    `ConfigurationException`

### loadInterceptorStacks

    protected void loadInterceptorStacks(Element element,
                                         PackageConfig context)
                                  throws ConfigurationException

  Throws:
    `ConfigurationException`

### addAction

    protected void addAction(Element actionElement,
                             PackageConfig packageContext)
                      throws ConfigurationException

  Throws:
    `ConfigurationException`

### buildExternalRefs

    protected List buildExternalRefs(Element element,
                                     PackageConfig context)
                              throws ConfigurationException

  Throws:
    `ConfigurationException`

### addResultTypes

    protected void addResultTypes(PackageConfig packageContext,
                                  Element element)

### getModule

    public Object getModule()

### buildPackageContext

    protected PackageConfig buildPackageContext(Element packageElement,
                                                Configuration configuration)

### buildInterceptorList

    protected List buildInterceptorList(Element element,
                                        PackageConfig context)
                                 throws ConfigurationException

  Throws:
    `ConfigurationException`

### getParams

    public static HashMap getParams(Element paramsElement)

### destroy

    public void destroy()

### init

    public void init(Configuration configuration)
              throws ConfigurationException

  Throws:
    `ConfigurationException`

### needsReload

    public boolean needsReload()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.